## ignition-gazebo3 3.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-gazebo3 VERSION 3.12.0)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.8.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================

option(ENABLE_PROFILER "Enable Ignition Profiler" FALSE)

if(ENABLE_PROFILER)
  add_definitions("-DIGN_PROFILER_ENABLE=1")
else()
  add_definitions("-DIGN_PROFILER_ENABLE=0")
endif()

if (UNIX AND NOT APPLE)
  set (EXTRA_TEST_LIB_DEPS stdc++fs)
else()
  set (EXTRA_TEST_LIB_DEPS)
endif()

#============================================================================
# Search for project-specific dependencies
#============================================================================

# Setting this policy enables using the protobuf_MODULE_COMPATIBLE
# set command in CMake versions older than 13.13
set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
# This option is needed to use the PROTOBUF_GENERATE_CPP
# in case protobuf is found with the CMake config files
# It needs to be set before any find_package(...) call
# as protobuf could be find transitively by any dependency
set(protobuf_MODULE_COMPATIBLE TRUE)

ign_find_package(sdformat9 REQUIRED VERSION 9.6.0)
set(SDF_VER ${sdformat9_VERSION_MAJOR})

#--------------------------------------
# Find ignition-plugin
ign_find_package(ignition-plugin1 REQUIRED COMPONENTS loader register)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

#--------------------------------------
# Find ignition-transport
ign_find_package(ignition-transport8 REQUIRED COMPONENTS log)
set(IGN_TRANSPORT_VER ${ignition-transport8_VERSION_MAJOR})

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs5 REQUIRED VERSION 5.3)
set(IGN_MSGS_VER ${ignition-msgs5_VERSION_MAJOR})

#--------------------------------------
# Find ignition-common
# Always use the profiler component to get the headers, regardless of status.
ign_find_package(ignition-common3 VERSION 3.8
  COMPONENTS
    profiler
    events
    av
  REQUIRED
)
set(IGN_COMMON_VER ${ignition-common3_VERSION_MAJOR})

#--------------------------------------
# Find ignition-fuel_tools
ign_find_package(ignition-fuel_tools4 REQUIRED VERSION 4.3)
set(IGN_FUEL_TOOLS_VER ${ignition-fuel_tools4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-gui
ign_find_package(ignition-gui3 REQUIRED VERSION 3.6)
set(IGN_GUI_VER ${ignition-gui3_VERSION_MAJOR})
ign_find_package (Qt5
  COMPONENTS
    Core
    Quick
    QuickControls2
  REQUIRED
  PKGCONFIG "Qt5Core Qt5Quick Qt5QuickControls2")

#--------------------------------------
# Find ignition-physics
ign_find_package(ignition-physics2 VERSION 2.5
  COMPONENTS
    mesh
    sdf
  REQUIRED
)
set(IGN_PHYSICS_VER ${ignition-physics2_VERSION_MAJOR})

#--------------------------------------
# Find ignition-sensors
ign_find_package(ignition-sensors3 REQUIRED VERSION 3.3
  COMPONENTS
    rendering
    air_pressure
    altimeter
    camera
    gpu_lidar
    imu
    logical_camera
    magnetometer
    depth_camera
    thermal_camera
)
set(IGN_SENSORS_VER ${ignition-sensors3_VERSION_MAJOR})

#--------------------------------------
# Find ignition-rendering
ign_find_package(ignition-rendering3 REQUIRED VERSION 3.5)
set(IGN_RENDERING_VER ${ignition-rendering3_VERSION_MAJOR})

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED COMPONENTS eigen3 VERSION 6.6)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-tools
ign_find_package(ignition-tools
                 REQUIRED
                 PKGCONFIG "ignition-tools")

#--------------------------------------
# Find protobuf
set(REQ_PROTOBUF_VER 3)
ign_find_package(IgnProtobuf
                 VERSION ${REQ_PROTOBUF_VER}
                 REQUIRED
                 COMPONENTS all
                 PRETTY Protobuf)
set(Protobuf_IMPORT_DIRS ${ignition-msgs5_INCLUDE_DIRS})

# Plugin install dirs
set(IGNITION_GAZEBO_PLUGIN_INSTALL_DIR
  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/plugins
)
set(IGNITION_GAZEBO_GUI_PLUGIN_INSTALL_DIR
  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/plugins/gui
)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

add_subdirectory(examples)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

# disable doxygen on macOS due to issues with doxygen 1.9.0
# there is an unreleased fix; revert this when 1.9.1 is released
# https://github.com/ignitionrobotics/ign-gazebo/issues/520
if (NOT APPLE)
  ign_create_docs(
    API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
    TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
    ADDITIONAL_INPUT_DIRS "${CMAKE_SOURCE_DIR}/src/systems ${CMAKE_SOURCE_DIR}/src/gui/plugins"
    IMAGE_PATH_DIRS "${CMAKE_SOURCE_DIR}/tutorials/files"
    TAGFILES
     "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
     "${IGNITION-MSGS_DOXYGEN_TAGFILE} = ${IGNITION-MSGS_API_URL}"
     "${IGNITION-PHYSICS_DOXYGEN_TAGFILE} = ${IGNITION-PHYSICS_API_URL}"
     "${IGNITION-PLUGIN_DOXYGEN_TAGFILE} = ${IGNITION-PLUGIN_API_URL}"
     "${IGNITION-TRANSPORT_DOXYGEN_TAGFILE} = ${IGNITION-TRANSPORT_API_URL}"
     "${IGNITION-SENSORS_DOXYGEN_TAGFILE} = ${IGNITION-SENSORS_API_URL}"
     "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
  )
endif()

if(TARGET doc)
  file(COPY ${CMAKE_SOURCE_DIR}/tutorials/files/ DESTINATION ${CMAKE_BINARY_DIR}/doxygen/html/files/)
endif()

=== src/CMakeLists.txt ===
add_subdirectory(rendering)
add_subdirectory(gui)
add_subdirectory(systems)
add_subdirectory(msgs)

set_source_files_properties(
  ${PROTO_PRIVATE_SRC}
  ${PROTO_PRIVATE_HEADERS}
  PROPERTIES GENERATED TRUE
)

# Suppress compiler warnings in generated protobuf C++ code.
if(NOT MSVC)
  set_source_files_properties(
    ${PROTO_PRIVATE_SRC}
    COMPILE_FLAGS -Wno-unused-parameter
  )
endif()

set(network_sources
  network/NetworkConfig.cc
  network/NetworkManager.cc
  network/NetworkManagerPrimary.cc
  network/NetworkManagerSecondary.cc
  network/PeerInfo.cc
  network/PeerTracker.cc
)

set(gui_sources
  ${gui_sources}
  PARENT_SCOPE
)

ign_add_component(ign
  SOURCES
    ign.cc
    cmd/ModelCommandAPI.cc
  GET_TARGET_NAME ign_lib_target)
target_link_libraries(${ign_lib_target}
  PRIVATE
    ${PROJECT_LIBRARY_TARGET_NAME}
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ignition-gazebo${PROJECT_VERSION_MAJOR}
    ignition-gazebo${PROJECT_VERSION_MAJOR}-gui
)

set (sources
  Barrier.cc
  Conversions.cc
  EntityComponentManager.cc
  EventManager.cc
  LevelManager.cc
  Link.cc
  Model.cc
  SdfEntityCreator.cc
  SdfGenerator.cc
  Server.cc
  ServerConfig.cc
  ServerPrivate.cc
  SimulationRunner.cc
  System.cc
  SystemLoader.cc
  TestFixture.cc
  Util.cc
  View.cc
  World.cc
  cmd/ModelCommandAPI.cc
  ${PROTO_PRIVATE_SRC}
  ${network_sources}
)

set (gtest_sources
  ${gtest_sources}
  Barrier_TEST.cc
  Component_TEST.cc
  ComponentFactory_TEST.cc
  Conversions_TEST.cc
  EntityComponentManager_TEST.cc
  EventManager_TEST.cc
  ign_TEST.cc
  Link_TEST.cc
  Model_TEST.cc
  ModelCommandAPI_TEST.cc
  SdfEntityCreator_TEST.cc
  SdfGenerator_TEST.cc
  Server_TEST.cc
  ServerConfig_TEST.cc
  SimulationRunner_TEST.cc
  System_TEST.cc
  SystemLoader_TEST.cc
  TestFixture_TEST.cc
  Util_TEST.cc
  World_TEST.cc
  network/NetworkConfig_TEST.cc
  network/PeerTracker_TEST.cc
  network/NetworkManager_TEST.cc
)

# Create the library target
ign_create_core_library(SOURCES ${sources} CXX_STANDARD 17)
target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
  ignition-math${IGN_MATH_VER}
  ignition-plugin${IGN_PLUGIN_VER}::core
  ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
  ignition-common${IGN_COMMON_VER}::profiler
  ignition-fuel_tools${IGN_FUEL_TOOLS_VER}::ignition-fuel_tools${IGN_FUEL_TOOLS_VER}
  ignition-gui${IGN_GUI_VER}::ignition-gui${IGN_GUI_VER}
  ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
  sdformat${SDF_VER}::sdformat${SDF_VER}
  protobuf::libprotobuf
  PRIVATE
  ignition-plugin${IGN_PLUGIN_VER}::loader
)
if (NOT APPLE)
  target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
    PRIVATE stdc++fs)
endif()

target_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
)

add_dependencies(${PROJECT_LIBRARY_TARGET_NAME}
  ignition-gazebo_private_msgs
)

set(IGNITION_GAZEBO_PLUGIN_INSTALL_DIR
  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/plugins
)

include_directories(${PROJECT_SOURCE_DIR}/test)

# Build the unit tests
ign_build_tests(TYPE UNIT
  SOURCES
    ${gtest_sources}
  LIB_DEPS
    ${PROJECT_LIBRARY_TARGET_NAME}
    ${EXTRA_TEST_LIB_DEPS}
    ignition-gazebo${PROJECT_VERSION_MAJOR}
)

# Command line tests need extra settings
foreach(CMD_TEST
  UNIT_ign_TEST
  UNIT_ModelCommandAPI_TEST)

  if(NOT TARGET ${CMD_TEST})
    continue()
  endif()

  # Running `ign gazebo` on macOS has problems when run with /usr/bin/ruby
  # due to System Integrity Protection (SIP). Try to find ruby from
  # homebrew as a workaround.
  if (APPLE)
    find_program(BREW_RUBY ruby HINTS /usr/local/opt/ruby/bin)
  endif()

  add_dependencies(${CMD_TEST}
    ${ign_lib_target}
    TestModelSystem
    TestSensorSystem
    TestWorldSystem
  )

  target_compile_definitions(${CMD_TEST} PRIVATE
      "BREW_RUBY=\"${BREW_RUBY} \"")

  target_compile_definitions(${CMD_TEST} PRIVATE
      "IGN_PATH=\"${IGNITION-TOOLS_BINARY_DIRS}\"")

  set(_env_vars)
  list(APPEND _env_vars "IGN_CONFIG_PATH=${CMAKE_BINARY_DIR}/test/conf")
  list(APPEND _env_vars "IGN_GAZEBO_SYSTEM_PLUGIN_PATH=$<TARGET_FILE_DIR:TestModelSystem>")

  set_tests_properties(${CMD_TEST} PROPERTIES
    ENVIRONMENT "${_env_vars}")

endforeach()

if(NOT WIN32)
  add_subdirectory(cmd)
endif()

=== test/CMakeLists.txt ===
include_directories (
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
  ${PROJECT_SOURCE_DIR}/test
  ${PROJECT_BINARY_DIR}/include/
)

configure_file (test_config.hh.in ${PROJECT_BINARY_DIR}/include/ignition/gazebo/test_config.hh)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)
target_compile_features(gtest PUBLIC cxx_std_11)

set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
include_directories(${GTEST_INCLUDE_DIRS})

################################# FindDRI support #############################
# Check for existance of glxinfo application
# Check for existance of support for pyopengl
function(FindDRI)

message(STATUS "Looking for display capabilities")

if((DEFINED FORCE_GRAPHIC_TESTS_COMPILATION)
  AND (${FORCE_GRAPHIC_TESTS_COMPILATION}))
  set(VALID_DISPLAY TRUE PARENT_SCOPE)
  set(VALID_DRI_DISPLAY TRUE PARENT_SCOPE)
  message(STATUS " + Force requested. All capabilities on without checking")
  return()
endif()

set(VALID_DISPLAY FALSE)
set(VALID_DRI_DISPLAY FALSE)
set(CHECKER_ERROR "(no glxinfo or pyopengl)")

if((DEFINED ENV{DISPLAY}) AND NOT ("$ENV{DISPLAY}" STREQUAL ""))
  find_program(XWININFO xwininfo)
  if (XWININFO)
    execute_process(
      COMMAND xwininfo -root
      RESULT_VARIABLE DISPLAY_FAIL_RESULT
      ERROR_QUIET OUTPUT_QUIET
    )
  else()
    message(STATUS "Could not find 'xwininfo', which is needed for FindDRI. Please install the package 'x11-utils'")
    return()
  endif()

  if(NOT DISPLAY_FAIL_RESULT)
    message(STATUS " + found a display available ($DISPLAY is set)")
    set(VALID_DISPLAY TRUE)

    # Continue check for DRI support in the display Try to run glxinfo. If not
    # found, variable will be empty
    find_program(GLXINFO glxinfo)

    # If not display found, it will throw an error
    # Another grep pattern: "direct rendering:[[:space:]]*Yes[[:space:]]*"
    if(GLXINFO)
      execute_process(
        COMMAND glxinfo
        COMMAND grep "direct rendering:[[:space:]]*Yes[[:space:]]*"
        ERROR_QUIET
        OUTPUT_VARIABLE GLX
      )

      if(GLX)
        message(STATUS " + found a valid dri display (glxinfo)")
        set(VALID_DRI_DISPLAY TRUE)
      else()
        set(CHECKER_ERROR "using glxinfo")
      endif()
    else()
      message(STATUS
        "Could not find glxinfo. Trying with 'gl-test.py' which may not work."
        "If 'gl-test.py' fails to find DRI, try installng the package "
        "'mesa-utils' for glxinfo")
      execute_process(
        # RESULT_VARIABLE is store in a FAIL variable since the command
        # returns 0 if ok and 1 if error (inverse than cmake IF)
        COMMAND ${PROJECT_SOURCE_DIR}/tools/gl-test.py
        RESULT_VARIABLE GL_FAIL_RESULT
        ERROR_VARIABLE GL_ERROR
        OUTPUT_QUIET
      )

      if(NOT GL_FAIL_RESULT)
        message(STATUS " + found a valid dri display (pyopengl)")
        set(VALID_DRI_DISPLAY TRUE)
      elseif(${GL_ERROR})
        # Check error string: no python module means no pyopengl
        string(
          FIND ${GL_ERROR} "ImportError: No module named OpenGL.GLUT" ERROR_POS
        )
        # -1 will imply pyopengl is present but real DRI test fails
        if("${ERROR_POS}" STREQUAL "-1")
          set(CHECKER_ERROR "using pyopengl")
        endif()
      endif()
    endif()
  endif()
endif()

if(NOT VALID_DISPLAY)
  message(STATUS " ! valid display not found")
endif()

if(NOT VALID_DRI_DISPLAY)
  message(STATUS " ! valid dri display not found ${CHECKER_ERROR}")
endif()

# Set variables to parent scope
set(VALID_DISPLAY ${VALID_DISPLAY} PARENT_SCOPE)
set(VALID_DRI_DISPLAY ${VALID_DRI_DISPLAY} PARENT_SCOPE)

endfunction()

############################## End FindDRI support #############################

FindDRI()

add_subdirectory(benchmark)
add_subdirectory(integration)
add_subdirectory(performance)
add_subdirectory(plugins)
add_subdirectory(regression)
add_subdirectory(worlds)

=== src/gui/CMakeLists.txt ===
set (gui_sources
  AboutDialogHandler.cc
  Gui.cc
  GuiFileHandler.cc
  GuiRunner.cc
  PathManager.cc
  TmpIface.cc
)

add_subdirectory(plugins)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

# CMake AUTOMOC does not generate moc_*.cpp files automatically for headers
# located in different directories than the containing .cc file. For Qt header
# files in `include/ignition/gazebo/gui`, we use qt5_wrap_cpp instead. There is
# no need to add entries for Qt header files in `src/gui/`.
qt5_wrap_cpp(gui_sources
  ${PROJECT_SOURCE_DIR}/include/ignition/gazebo/gui/GuiSystem.hh
  # TODO (anyone) Remove when GuiRunner.hh is moved to `src`
  ${PROJECT_SOURCE_DIR}/include/ignition/gazebo/gui/GuiRunner.hh
  # TODO (anyone) Remove when TmpIface.hh is moved to `src`
  ${PROJECT_SOURCE_DIR}/include/ignition/gazebo/gui/TmpIface.hh
)

ign_add_component(gui
  SOURCES ${gui_sources} resources/gazebo.qrc
  GET_TARGET_NAME gui_target
  CXX_STANDARD 17)

target_link_libraries(${gui_target}
  PUBLIC
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ignition-gui${IGN_GUI_VER}::ignition-gui${IGN_GUI_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
    ${Qt5Core_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
)

set(CMAKE_AUTOMOC OFF)
set(CMAKE_AUTORCC OFF)

install(TARGETS ${gui_target} DESTINATION ${IGN_LIB_INSTALL_DIR})
install (FILES gui.config DESTINATION ${IGN_DATA_INSTALL_DIR}/gui)
install (FILES playback_gui.config DESTINATION ${IGN_DATA_INSTALL_DIR}/gui)

# Tests
set (gtest_sources
  ${gtest_sources}
  Gui_TEST.cc
)
include_directories(${PROJECT_SOURCE_DIR}/test)

ign_build_tests(TYPE UNIT
  SOURCES
    ${gtest_sources}
  LIB_DEPS
    ${PROJECT_LIBRARY_TARGET_NAME}
    ${gui_target}
    ${EXTRA_TEST_LIB_DEPS}
    ignition-gazebo${PROJECT_VERSION_MAJOR}
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

=== src/msgs/CMakeLists.txt ===
PROTOBUF_GENERATE_CPP(PROTO_PRIVATE_SRC PROTO_PRIVATE_HEADERS
  peer_info.proto
  peer_control.proto
  performer_affinity.proto
  simulation_step.proto
)

set(PROTO_PRIVATE_SRC ${PROTO_PRIVATE_SRC} PARENT_SCOPE)
set(PROTO_PRIVATE_HEADERS ${PROTO_PRIVATE_HEADERS} PARENT_SCOPE)

add_custom_target(ignition-gazebo_private_msgs
  DEPENDS ${PROTO_PRIVATE_SRC}
)

=== src/systems/CMakeLists.txt ===
#################################################
# gz_add_system(<system>
#              SOURCES <sources>
#              [PUBLIC_LINK_LIBS <libraries...>]
#              [PRIVATE_LINK_LIBS <libraries...>]
#              [PRIVATE_COMPILE_DEFS <definitions...>])
#
# Add a system component to Ignition Gazebo.
#
# <system> Required. Name of the system.
#
# SOURCES: Required. Specify the source files for the system.
#
# [PUBLIC_LINK_LIBS]: Specify a list of libraries to be publicly linked.
#
# [PRIVATE_LINK_LIBS]: Specify a list of libraries to be privately linked.
#
# [PRIVATE_COMPILE_DEFS]: Specify a list of private compile definitions to add to target.
#
function(gz_add_system system_name)

  set(options)
  set(oneValueArgs)
  set(multiValueArgs SOURCES PUBLIC_LINK_LIBS PRIVATE_LINK_LIBS PRIVATE_COMPILE_DEFS)

  cmake_parse_arguments(gz_add_system "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  if(gz_add_system_SOURCES)
    set(sources ${gz_add_system_SOURCES})
  else()
    message(FATAL_ERROR "You must specify SOURCES for gz_add_system(~)!")
  endif()

  set(system_name ${system_name}-system)

  ign_add_component(${system_name}
    SOURCES ${sources}
    GET_TARGET_NAME system_target
    CXX_STANDARD 17)

  target_link_libraries(${system_target}
    PUBLIC
      ${gz_add_system_PUBLIC_LINK_LIBS}
      ${PROJECT_LIBRARY_TARGET_NAME}
    PRIVATE
      ${gz_add_system_PRIVATE_LINK_LIBS}
      ignition-plugin${IGN_PLUGIN_VER}::register
  )

  if(gz_add_system_PRIVATE_COMPILE_DEFS)
    target_compile_definitions(${system_target}
      PRIVATE
        ${gz_add_system_PRIVATE_COMPILE_DEFS}
    )
  endif()

  # Note that plugins are currently being installed in 2 places. /lib and the plugin dir
  install(TARGETS ${system_target} DESTINATION ${IGNITION_GAZEBO_PLUGIN_INSTALL_DIR})

  # The library created by `ign_add_component` includes the ign-gazebo version
  # (i.e. libignition-gazebo1-name-system.so), but for portability of SDF
  # files, we also install an unversioned symlink into the same versioned folder.
  set(versioned ${CMAKE_SHARED_LIBRARY_PREFIX}${system_target}${CMAKE_SHARED_LIBRARY_SUFFIX})
  set(unversioned ${CMAKE_SHARED_LIBRARY_PREFIX}${PROJECT_NAME_NO_VERSION_LOWER}-${system_name}${CMAKE_SHARED_LIBRARY_SUFFIX})
  if (WIN32)
    # create_symlink requires cmake 3.13 on windows
    cmake_minimum_required(VERSION 3.13 FATAL_ERROR)
  endif()
  file(MAKE_DIRECTORY "${PROJECT_BINARY_DIR}/lib")
  EXECUTE_PROCESS(COMMAND ${CMAKE_COMMAND} -E create_symlink ${versioned} ${unversioned} WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/lib")
  INSTALL(FILES ${PROJECT_BINARY_DIR}/lib/${unversioned} DESTINATION ${IGNITION_GAZEBO_PLUGIN_INSTALL_DIR})
endfunction()

add_subdirectory(air_pressure)
add_subdirectory(altimeter)
add_subdirectory(apply_joint_force)
add_subdirectory(battery_plugin)
add_subdirectory(breadcrumbs)
add_subdirectory(buoyancy)
add_subdirectory(collada_world_exporter)
add_subdirectory(contact)
add_subdirectory(camera_video_recorder)
add_subdirectory(detachable_joint)
add_subdirectory(diff_drive)
add_subdirectory(imu)
add_subdirectory(joint_controller)
add_subdirectory(joint_position_controller)
add_subdirectory(joint_state_publisher)
add_subdirectory(kinetic_energy_monitor)
add_subdirectory(lift_drag)
add_subdirectory(log)
add_subdirectory(log_video_recorder)
add_subdirectory(logical_audio_sensor_plugin)
add_subdirectory(logical_camera)
add_subdirectory(magnetometer)
add_subdirectory(multicopter_motor_model)
add_subdirectory(multicopter_control)
add_subdirectory(performer_detector)
add_subdirectory(physics)
add_subdirectory(pose_publisher)
add_subdirectory(scene_broadcaster)
add_subdirectory(sensors)
add_subdirectory(thermal)
add_subdirectory(touch_plugin)
add_subdirectory(track_controller)
add_subdirectory(tracked_vehicle)
add_subdirectory(triggered_publisher)
add_subdirectory(user_commands)
add_subdirectory(velocity_control)
add_subdirectory(wheel_slip)
add_subdirectory(wind_effects)

=== test/integration/CMakeLists.txt ===
set(TEST_TYPE "INTEGRATION")

set(tests
  air_pressure_system.cc
  altimeter_system.cc
  apply_joint_force_system.cc
  battery_plugin.cc
  breadcrumbs.cc
  buoyancy.cc
  collada_world_exporter.cc
  components.cc
  contact_system.cc
  detachable_joint.cc
  diff_drive_system.cc
  each_new_removed.cc
  entity_erase.cc
  events.cc
  examples_build.cc
  imu_system.cc
  joint_controller_system.cc
  joint_position_controller_system.cc
  joint_state_publisher_system.cc
  kinetic_energy_monitor_system.cc
  lift_drag_system.cc
  level_manager.cc
  level_manager_runtime_performers.cc
  link.cc
  logical_camera_system.cc
  logical_audio_sensor_plugin.cc
  magnetometer_system.cc
  model.cc
  multicopter.cc
  network_handshake.cc
  performer_detector.cc
  physics_system.cc
  play_pause.cc
  pose_publisher_system.cc
  save_world.cc
  scene_broadcaster_system.cc
  sdf_frame_semantics.cc
  sdf_include.cc
  thermal_system.cc
  touch_plugin.cc
  tracked_vehicle_system.cc
  triggered_publisher.cc
  user_commands.cc
  velocity_control_system.cc
  log_system.cc
  wheel_slip.cc
  wind_effects.cc
  world.cc
)

# Tests that require a valid display
set(tests_needing_display
  camera_sensor_background.cc
  camera_video_record_system.cc
  depth_camera.cc
  gpu_lidar.cc
  rgbd_camera.cc
  sensors_system.cc
)

# Add systems that need a valid display here.
# \todo(anyone) Find a way to run these tests with a virtual display such Xvfb
# or Xdummy instead of skipping them
if(VALID_DISPLAY AND VALID_DRI_DISPLAY)
  list(APPEND tests ${tests_needing_display})
else()
  message(STATUS
    "Skipping these INTEGRATION tests because a valid display was not found:")
  foreach(test ${tests_needing_display})
    message(STATUS " ${test}")
  endforeach(test)
endif()

link_directories(${PROJECT_BINARY_DIR}/test)
include_directories(${PROJECT_SOURCE_DIR}/test)

ign_build_tests(TYPE INTEGRATION
  SOURCES
    ${tests}
  LIB_DEPS
    ${EXTRA_TEST_LIB_DEPS}
)

# For INTEGRATION_physics_system, we need to check what version of DART is
# available so that we can disable tests that are unsupported by the particular
# version of physics engine
ign_find_package(DART QUIET)
if (DART_FOUND)
  # Only adding include directories, no need to link against DART to check version
  target_include_directories(INTEGRATION_physics_system SYSTEM PRIVATE ${DART_INCLUDE_DIRS})
  target_compile_definitions(INTEGRATION_physics_system PRIVATE HAVE_DART)
endif()

target_link_libraries(INTEGRATION_tracked_vehicle_system
  ignition-physics${IGN_PHYSICS_VER}::core
  ignition-plugin${IGN_PLUGIN_VER}::loader
)
# The default timeout (240s) doesn't seem to be enough for this test.
set_tests_properties(INTEGRATION_tracked_vehicle_system PROPERTIES TIMEOUT 300)

=== test/plugins/CMakeLists.txt ===
if (WIN32)
  add_definitions(-DBUILDING_DLL)
endif()

include_directories(
  ${PROJECT_SOURCE_DIR}
)

link_directories(
)

set (test_plugins
  EventTriggerSystem
  TestModelSystem
  TestSensorSystem
  TestSystem
  TestWorldSystem
  MockSystem
  Null
)

# Plugin shared libraries
if(BUILD_TESTING)
  foreach (src ${test_plugins})
    add_library(${src} SHARED ${src}.cc)
    set_property(TARGET ${src} PROPERTY CXX_STANDARD 17)
    target_link_libraries(${src}
      PRIVATE
        ignition-plugin${IGN_PLUGIN_VER}::register
        ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
        ignition-gazebo${PROJECT_VERSION_MAJOR}
    )
  endforeach (src)
endif()

=== examples/plugin/custom_component/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

find_package(ignition-cmake2 REQUIRED)

project(CustomComponentPlugin)

find_package(ignition-plugin1 REQUIRED COMPONENTS register)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

find_package(ignition-gazebo3 REQUIRED)
add_library(CustomComponentPlugin SHARED
  CustomComponentPlugin.cc
)
set_property(TARGET CustomComponentPlugin PROPERTY CXX_STANDARD 17)
target_link_libraries(CustomComponentPlugin
  PRIVATE ignition-plugin${IGN_PLUGIN_VER}::ignition-plugin${IGN_PLUGIN_VER}
  PRIVATE ignition-gazebo3::ignition-gazebo3)

=== examples/plugin/gui_system_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

project(GuiSystemPlugin)

set(CMAKE_AUTOMOC ON)

find_package(ignition-gazebo3 REQUIRED COMPONENTS gui)

QT5_ADD_RESOURCES(resources_RCC ${PROJECT_NAME}.qrc)

add_library(${PROJECT_NAME} SHARED
  ${PROJECT_NAME}.cc
  ${resources_RCC}
)
target_link_libraries(${PROJECT_NAME}
  PRIVATE ignition-gazebo3::gui
)

=== examples/plugin/rendering_plugins/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(POLICY CMP0100)
  cmake_policy(SET CMP0100 NEW)
endif()

project(RenderingPlugins)

# Common to both plugins
find_package(ignition-rendering3 REQUIRED)

# GUI plugin
set(GUI_PLUGIN RenderingGuiPlugin)

set(CMAKE_AUTOMOC ON)

find_package(ignition-gui3 REQUIRED)

QT5_ADD_RESOURCES(resources_RCC ${GUI_PLUGIN}.qrc)

add_library(${GUI_PLUGIN} SHARED
  ${GUI_PLUGIN}.cc
  ${resources_RCC}
)
target_link_libraries(${GUI_PLUGIN}
  PRIVATE
    ignition-gui3::ignition-gui3
    ignition-rendering3::ignition-rendering3
)

# Server plugin
set(SERVER_PLUGIN RenderingServerPlugin)

find_package(ignition-plugin1 REQUIRED COMPONENTS register)
find_package(ignition-gazebo3 REQUIRED)

add_library(${SERVER_PLUGIN} SHARED ${SERVER_PLUGIN}.cc)
set_property(TARGET ${SERVER_PLUGIN} PROPERTY CXX_STANDARD 17)
target_link_libraries(${SERVER_PLUGIN}
  PRIVATE
    ignition-plugin1::ignition-plugin1
    ignition-gazebo3::ignition-gazebo3
    ignition-rendering3::ignition-rendering3
)

=== examples/plugin/system_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

find_package(ignition-cmake2 REQUIRED)

project(SampleSystem)

find_package(ignition-plugin1 REQUIRED COMPONENTS register)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

find_package(ignition-gazebo3 REQUIRED)
add_library(SampleSystem SHARED SampleSystem.cc SampleSystem2.cc)
set_property(TARGET SampleSystem PROPERTY CXX_STANDARD 17)
target_link_libraries(SampleSystem
  PRIVATE ignition-plugin${IGN_PLUGIN_VER}::ignition-plugin${IGN_PLUGIN_VER}
  PRIVATE ignition-gazebo3::ignition-gazebo3)

=== debian/changelog ===
ignition-gazebo3 (3.12.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.12.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 11 Nov 2021 10:41:54 -0800

ignition-gazebo3 (3.11.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.11.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 21 Oct 2021 17:06:41 -0800

ignition-gazebo3 (3.10.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.10.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 18 Oct 2021 20:13:56 +0200

ignition-gazebo3 (3.9.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.9.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 24 Aug 2021 15:31:07 -0700

ignition-gazebo3 (3.9.0~pre2-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.9.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 11 Aug 2021 09:56:03 -0700

ignition-gazebo3 (3.9.0~pre1-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.9.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 23 Jul 2021 18:18:25 -0700

ignition-gazebo3 (3.8.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.8.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Mar 2021 11:33:57 -0700

ignition-gazebo3 (3.7.0-2~buster) buster; urgency=medium

  * ignition-gazebo3 3.7.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 13 Jan 2021 12:10:28 -0800

ignition-gazebo3 (3.7.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.7.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 13 Jan 2021 09:23:40 -0700

ignition-gazebo3 (3.6.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 30 Dec 2020 18:26:57 -0800

ignition-gazebo3 (3.5.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 03 Nov 2020 15:40:56 -0800

ignition-gazebo3 (3.4.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.4.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 14 Oct 2020 11:04:41 -0800

ignition-gazebo3 (3.3.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.3.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 01 Sep 2020 05:38:40 -0700

ignition-gazebo3 (3.2.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.2.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 21 May 2020 05:20:38 -0700

ignition-gazebo3 (3.1.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.1.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 19 May 2020 07:38:52 -0700

ignition-gazebo3 (3.0.0-1~buster) buster; urgency=medium

  * ignition-gazebo3 3.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 11 Dec 2019 00:43:58 +0100

=== debian/control ===
Source: ignition-gazebo3
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               libtinyxml2-dev,
               libignition-tools-dev,
               libignition-cmake2-dev (>= 2.8.0),
               libignition-common3-av-dev (>= 3.8.0),
               libignition-common3-profiler-dev (>= 3.8.0),
               libignition-common3-events-dev (>= 3.8.0),
               libignition-fuel-tools4-dev (>= 4.3.0),
               libignition-gui3-dev (>= 3.6.0),
               libignition-math6-dev (>= 6.6.0),
               libignition-math6-eigen3-dev (>= 6.6.0),
               libignition-msgs5-dev (>= 5.3.0),
               libignition-plugin-dev,
               libignition-physics2-dev (>= 2.5.0),
               libignition-sensors3-dev (>= 3.3.0),
               libignition-rendering3-dev (>= 3.5.0),
               libignition-transport8-log-dev,
               libsdformat9-dev (>= 9.6.0)
Vcs-Browser: https://github.com/ignition-release/ign-gazebo3-release
Vcs-Hg: https://github.com/ignition-release/ign-gazebo3-release
Homepage: http://ignitionrobotics.org/

Package: libignition-gazebo3
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qml-module-qtqml-models2
Multi-Arch: same
Description: Ignition Gazebo classes and functions for robot apps - Shared library
  Ignition Gazebo is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Main shared library

Package: libignition-gazebo3-plugins
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Gazebo classes and functions for robot apps - Plugins
  Ignition Gazebo is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Plugins collection

Package: libignition-gazebo3-dev
Architecture: any
Section: libdevel
Depends: libtinyxml2-dev,
         libignition-tools-dev,
         libignition-cmake2-dev (>= 2.8.0),
         libignition-common3-av-dev (>= 3.8.0),
         libignition-common3-profiler-dev (>= 3.8.0),
         libignition-common3-events-dev (>= 3.8.0),
         libignition-fuel-tools4-dev (>= 4.3.0),
         libignition-gui3-dev (>= 3.6.0),
         libignition-math6-dev (>= 6.6.0),
         libignition-math6-eigen3-dev (>= 6.6.0),
         libignition-msgs5-dev (>= 5.3.0),
         libignition-plugin-dev,
         libignition-physics2-dev (>= 2.5.0),
         libignition-sensors3-dev (>= 3.3.0),
         libignition-rendering3-dev (>= 3.5.0),
         libignition-transport8-log-dev,
         libsdformat9-dev (>= 9.6.0),
         libignition-gazebo3 (= ${binary:Version}),
         libignition-gazebo3-plugins (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Gazebo classes and functions for robot apps - Development files
  Ignition Gazebo is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files

Package: libignition-gazebo3-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-gazebo3 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Ignition Gazebo classes and functions for robot apps - Debug symbols
  Ignition Gazebo is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Debug symbols

## ignition-gazebo3 3.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,8 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-gazebo3 VERSION 3.12.0)
+project(ignition-gazebo3 VERSION 3.14.0)
+set (GZ_DISTRIBUTION "Citadel")
 
 #============================================================================
 # Find ignition-cmake
@@ -62,7 +63,7 @@
 
 #--------------------------------------
 # Find ignition-msgs
-ign_find_package(ignition-msgs5 REQUIRED VERSION 5.3)
+ign_find_package(ignition-msgs5 REQUIRED VERSION 5.10)
 set(IGN_MSGS_VER ${ignition-msgs5_VERSION_MAJOR})
 
 #--------------------------------------
@@ -84,7 +85,7 @@
 
 #--------------------------------------
 # Find ignition-gui
-ign_find_package(ignition-gui3 REQUIRED VERSION 3.6)
+ign_find_package(ignition-gui3 REQUIRED VERSION 3.11)
 set(IGN_GUI_VER ${ignition-gui3_VERSION_MAJOR})
 ign_find_package (Qt5
   COMPONENTS
@@ -136,6 +137,9 @@
 ign_find_package(ignition-tools
                  REQUIRED
                  PKGCONFIG "ignition-tools")
+# Note that CLI files are installed regardless of whether the dependency is
+# available during build time
+set(IGN_TOOLS_VER 1)
 
 #--------------------------------------
 # Find protobuf
@@ -172,6 +176,8 @@
 #============================================================================
 configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
 configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)
+configure_file(${CMAKE_SOURCE_DIR}/tools/desktop/ignition-gazebo.desktop.in ${CMAKE_BINARY_DIR}/ignition-gazebo${PROJECT_VERSION_MAJOR}.desktop)
+configure_file(${CMAKE_SOURCE_DIR}/tools/desktop/ignition-gazebo.svg.in ${CMAKE_BINARY_DIR}/ignition-gazebo${PROJECT_VERSION_MAJOR}.svg)
 
 # disable doxygen on macOS due to issues with doxygen 1.9.0
 # there is an unreleased fix; revert this when 1.9.1 is released

=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
   GuiFileHandler.cc
   GuiRunner.cc
   PathManager.cc
+  QuickStartHandler.cc
   TmpIface.cc
 )

=== test/integration/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,11 @@
 set(TEST_TYPE "INTEGRATION")
 
 set(tests
+  ackermann_steering_system.cc
   air_pressure_system.cc
   altimeter_system.cc
   apply_joint_force_system.cc
+  apply_link_wrench_system.cc
   battery_plugin.cc
   breadcrumbs.cc
   buoyancy.cc
@@ -13,6 +15,7 @@
   detachable_joint.cc
   diff_drive_system.cc
   each_new_removed.cc
+  elevator_system.cc
   entity_erase.cc
   events.cc
   examples_build.cc

=== debian/changelog ===
ignition-gazebo3 (3.14.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.14.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 12:42:23 -0700

ignition-gazebo3 (3.14.0~pre1-2~focal) focal; urgency=medium

  * ignition-gazebo3 3.14.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 19:41:34 -0700

ignition-gazebo3 (3.14.0~pre1-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.14.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 18:59:43 -0700

ignition-gazebo3 (3.13.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.13.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 03 Jun 2022 08:49:26 -0700

ignition-gazebo3 (3.13.0~pre3-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.13.0~pre3-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 31 Mar 2022 15:53:16 +0200

ignition-gazebo3 (3.13.0~pre2-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.13.0~pre2-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 31 Mar 2022 15:50:02 +0200

ignition-gazebo3 (3.13.0~pre1-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.13.0~pre1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 25 Mar 2022 14:23:18 +0100

ignition-gazebo3 (3.12.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.12.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 11 Nov 2021 10:41:54 -0800

ignition-gazebo3 (3.11.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.11.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 21 Oct 2021 17:06:41 -0800

ignition-gazebo3 (3.10.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.10.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 18 Oct 2021 20:13:56 +0200

ignition-gazebo3 (3.9.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.9.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 24 Aug 2021 15:31:07 -0700

ignition-gazebo3 (3.9.0~pre2-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.9.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 11 Aug 2021 09:56:03 -0700

ignition-gazebo3 (3.9.0~pre1-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.9.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 23 Jul 2021 18:18:25 -0700

ignition-gazebo3 (3.8.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.8.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Mar 2021 11:33:57 -0700

ignition-gazebo3 (3.7.0-2~focal) focal; urgency=medium

  * ignition-gazebo3 3.7.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 13 Jan 2021 12:10:28 -0800

ignition-gazebo3 (3.7.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.7.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 13 Jan 2021 09:23:40 -0700

ignition-gazebo3 (3.6.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 30 Dec 2020 18:26:57 -0800

ignition-gazebo3 (3.5.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 03 Nov 2020 15:40:56 -0800

ignition-gazebo3 (3.4.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.4.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 14 Oct 2020 11:04:41 -0800

ignition-gazebo3 (3.3.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.3.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 01 Sep 2020 05:38:40 -0700

ignition-gazebo3 (3.2.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.2.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 21 May 2020 05:20:38 -0700

ignition-gazebo3 (3.1.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.1.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 19 May 2020 07:38:52 -0700

ignition-gazebo3 (3.0.0-1~focal) focal; urgency=medium

  * ignition-gazebo3 3.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 11 Dec 2019 00:43:58 +0100

=== debian/control ===
Source: ignition-gazebo3
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               libtinyxml2-dev,
               libignition-tools-dev,
               libignition-cmake2-dev (>= 2.8.0),
               libignition-common3-av-dev (>= 3.8.0),
               libignition-common3-profiler-dev (>= 3.8.0),
               libignition-common3-events-dev (>= 3.8.0),
               libignition-fuel-tools4-dev (>= 4.3.0),
               libignition-gui3-dev (>= 3.11.0),
               libignition-math6-dev (>= 6.6.0),
               libignition-math6-eigen3-dev (>= 6.6.0),
               libignition-msgs5-dev (>= 5.10.0),
               libignition-plugin-dev,
               libignition-physics2-dev (>= 2.5.0),
               libignition-sensors3-dev (>= 3.3.0),
               libignition-rendering3-dev (>= 3.5.0),
               libignition-transport8-log-dev,
               libsdformat9-dev (>= 9.6.0)
Vcs-Browser: https://github.com/gazebosim/gz-sim
Vcs-Git: https://github.com/gazebosim/gz-sim
Homepage: http://gazebosim.org/

Package: libignition-gazebo3
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qml-module-qtqml-models2
Multi-Arch: same
Description: Gazebo Sim classes and functions for robot apps - Shared library
  Gazebo Sim is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Main shared library

Package: libignition-gazebo3-plugins
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sim classes and functions for robot apps - Plugins
  Gazebo Sim is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Plugins collection

Package: libignition-gazebo3-dev
Architecture: any
Section: libdevel
Depends: libtinyxml2-dev,
         libignition-tools-dev,
         libignition-cmake2-dev (>= 2.8.0),
         libignition-common3-av-dev (>= 3.8.0),
         libignition-common3-profiler-dev (>= 3.8.0),
         libignition-common3-events-dev (>= 3.8.0),
         libignition-fuel-tools4-dev (>= 4.3.0),
         libignition-gui3-dev (>= 3.11.0),
         libignition-math6-dev (>= 6.6.0),
         libignition-math6-eigen3-dev (>= 6.6.0),
         libignition-msgs5-dev (>= 5.10.0),
         libignition-plugin-dev,
         libignition-physics2-dev (>= 2.5.0),
         libignition-sensors3-dev (>= 3.3.0),
         libignition-rendering3-dev (>= 3.5.0),
         libignition-transport8-log-dev,
         libsdformat9-dev (>= 9.6.0),
         libignition-gazebo3 (= ${binary:Version}),
         libignition-gazebo3-plugins (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sim classes and functions for robot apps - Development files
  Gazebo Sim is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files

Package: libignition-gazebo3-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-gazebo3 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sim classes and functions for robot apps - Debug symbols
  Gazebo Sim is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Debug symbols

Package: libgz-sim3
Depends: libignition-gazebo3, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-sim3-plugins
Depends: libignition-gazebo3-plugins, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-sim3-dev
Depends: libignition-gazebo3-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-sim3-dbg
Depends: libignition-gazebo3-dbg, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.
